Bug 51947 - Analog port does not include anlgform.html or anlgform.pl
Summary: Analog port does not include anlgform.html or anlgform.pl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Haro
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-08 03:10 UTC by Chris Pepper
Modified: 2006-04-16 14:11 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Pepper 2003-05-08 03:10:09 UTC
	The analog (5.24,1) port does not include the form interface (anlgform.html & anlgform.pl). These files are in the tarball, but not installed by the port. They should be installed, probably with the .pl file non-executable (the form interface requires customization anyway).

Fix: 

Add anlgform.* to the list of files to install.
How-To-Repeat: 	Install analog from ports. Look for anlgform.html & anlgform.pl. "pkg_info analog\*|grep anlgform".
	"cd /usr/ports/www/analog && make patch && cd work/analog* && ls -l anlgform*"
Comment 1 Ying-Chieh Liao freebsd_committer 2003-05-09 08:44:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mharo

over to maintainer
Comment 2 Volker Stolz freebsd_committer 2004-07-25 11:44:58 UTC
State Changed
From-To: open->feedback

From looking at the documentation, major per-site customisation is 
required, so just droppping the files into cgi-bin won't really be 
a solution (but I might be mistaken). Please submit a concrete patch 
if you want us to proceed on this PR. -- Volker
Comment 3 Volker Stolz freebsd_committer 2004-08-30 21:30:32 UTC
State Changed
From-To: feedback->closed

Feedback timeout. Sorry it didn't work out.
Comment 4 Chris Pepper 2004-08-31 04:36:02 UTC
At 8:30 PM +0000 2004/08/30, Volker Stolz wrote:
>Synopsis: Analog port does not include anlgform.html or anlgform.pl
>
>State-Changed-From-To: feedback->closed
>State-Changed-By: vs
>State-Changed-When: Mon Aug 30 20:30:32 GMT 2004
>State-Changed-Why:
>Feedback timeout. Sorry it didn't work out.
>
>http://www.freebsd.org/cgi/query-pr.cgi?pr=51947

Volker,

	Sorry I didn't pick get back to you. Please let me know if I 
should file a fresh PR.

>State-Changed-From-To: open->feedback
>State-Changed-By: vs
>State-Changed-When: Sun Jul 25 10:44:58 GMT 2004
>State-Changed-Why:
>From looking at the documentation, major per-site customisation is
>required, so just droppping the files into cgi-bin won't really be
>a solution (but I might be mistaken). Please submit a concrete patch
>if you want us to proceed on this PR. -- Volker

	I agree the files shouldn't be installed to run, but with the 
current port, the user *cannot* get these files. To use the form, one 
must unpack the source tarball and manually extract the files, so the 
port is less than useful. It would be better to put the form in 
place, and stash the perl script somewhere accessible, so the user 
can configure and install it if desired.

	Here's a suggested sample note to accompany the change:

	Note: Analog includes an optional form and perl script to 
request analyses via a web interface. The form and script both 
require customization before use. If you would like to use them, 
first copy $PREFIX/etc/anlgform.pl to $$CGI-BIN, and then edit 
$$HTDOCS/anlgform.html and $$CGI-BIN/anlgform.pl for your local 
configuration. Both files are extensively commented with instructions 
for customization.


						Regards,


						Chris Pepper
-- 
Chris Pepper:               <http://www.reppep.com/~pepper/>
Rockefeller University:     <http://www.rockefeller.edu/>
Comment 5 Michael Haro freebsd_committer 2004-08-31 04:52:15 UTC
State Changed
From-To: closed->open

this is not a closed issue. re-open the report.
Comment 6 stolz 2004-08-31 08:35:07 UTC
Am 31. Aug 2004 um 05:36 CEST schrieb Chris Pepper:
> >From looking at the documentation, major per-site customisation is
> >required, so just droppping the files into cgi-bin won't really be
> >a solution (but I might be mistaken). Please submit a concrete patch
> >if you want us to proceed on this PR. -- Volker
> 
> 	I agree the files shouldn't be installed to run, but with the 
> current port, the user *cannot* get these files. To use the form, one 
> must unpack the source tarball and manually extract the files, so the 
> port is less than useful. It would be better to put the form in 
> place, and stash the perl script somewhere accessible, so the user 
> can configure and install it if desired.

How about installing the two files into ${PREFIX}/share/analog/examples?

Volker
-- 
http://www-i2.informatik.rwth-aachen.de/stolz/ *** PGP *** S/MIME
L-Attriwutgrammatik
Comment 7 Chris Pepper 2004-08-31 15:04:44 UTC
At 9:35 AM +0200 2004/08/31, Volker Stolz wrote:
>Am 31. Aug 2004 um 05:36 CEST schrieb Chris Pepper:
>>  >From looking at the documentation, major per-site customisation is
>>  >required, so just droppping the files into cgi-bin won't really be
>>  >a solution (but I might be mistaken). Please submit a concrete patch
>>  >if you want us to proceed on this PR. -- Volker
>>
>>	I agree the files shouldn't be installed to run, but with the
>>  current port, the user *cannot* get these files. To use the form, one
>>  must unpack the source tarball and manually extract the files, so the
>>  port is less than useful. It would be better to put the form in
>>  place, and stash the perl script somewhere accessible, so the user
>>  can configure and install it if desired.
>
>How about installing the two files into ${PREFIX}/share/analog/examples?

	Even better. A note pointing installers there would be 
useful, since they aren't just examples (and I, at least, didn't know 
ports put stuff in $PREFIX/share when I started using FreeBSD).


						Thanks,


						Chris
-- 
Chris Pepper:               <http://www.reppep.com/~pepper/>
Rockefeller University:     <http://www.rockefeller.edu/>
Comment 8 Sam Lawrance freebsd_committer 2006-04-16 14:11:45 UTC
State Changed
From-To: open->closed

The fix was committed by edwin 3 months ago. anlgform.html and 
anlgform.pl are installed in ${EXAMPLESDIR}.